Notifly
API ReferenceSubscribers

Retrieve subscriber notifications

This API is deprecated, use v2 API instead. Retrieve subscriber in-app notifications by its unique key identifier **subscriberId**.

Deprecated

GET
/v1/subscribers/{subscriberId}/notifications/feed

This API is deprecated, use v2 API instead. Retrieve subscriber in-app notifications by its unique key identifier subscriberId.

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Path Parameters

subscriberId*string

Query Parameters

page?number
Range0 <= value
limit?number
Rangevalue <= 100
Default10
read?boolean
seen?boolean
payload?string

Base64 encoded string of the partial payload JSON object

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/subscribers/string/notifications/feed?page=0&limit=10&payload=btoa%28JSON.stringify%28%7B+foo%3A+123+%7D%29%29+results+in+base64+encoded+string+like+eyJmb28iOjEyM30%3D"
{  "data": {    "totalCount": 5,    "hasMore": true,    "data": [      {        "_id": "615c1f2f9b0c5b001f8e4e3b",        "_templateId": "template_12345",        "_environmentId": "env_67890",        "_messageTemplateId": "message_template_54321",        "_organizationId": "org_98765",        "_notificationId": "notification_123456",        "_subscriberId": "subscriber_112233",        "_feedId": "feed_445566",        "_jobId": "job_778899",        "createdAt": "2024-12-10T10:10:59.639Z",        "updatedAt": "2024-12-10T10:10:59.639Z",        "actor": {          "data": null,          "type": "none"        },        "subscriber": {          "_id": "string",          "firstName": "string",          "lastName": "string",          "avatar": "string",          "subscriberId": "string"        },        "transactionId": "transaction_123456",        "templateIdentifier": "template_abcdef",        "providerId": "provider_xyz",        "content": "This is a test notification content.",        "subject": "Test Notification Subject",        "channel": "in_app",        "read": false,        "seen": true,        "archived": false,        "deviceTokens": [          "token1",          "token2"        ],        "cta": {          "type": "redirect",          "data": {            "url": "string"          },          "action": {            "status": "pending",            "buttons": [              {                "type": "primary",                "content": "string",                "resultContent": "string"              }            ],            "result": {              "payload": {},              "type": "primary"            }          }        },        "status": "sent",        "payload": {          "key": "value"        },        "data": {          "key": "value"        },        "overrides": {          "overrideKey": "overrideValue"        },        "tags": [          "tag1",          "tag2"        ]      }    ],    "pageSize": 2,    "page": 1  }}